package net.wanji.opt.vo2.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "CrossImportProblemDataForQuery", description = "路口事情信息")
public class CrossImportProblemDataForQuery {
    @ApiModelProperty(value = "路口ID")
    private   String crossId ;
    @ApiModelProperty(value = "路口名称")
    private   String crossName ;
    @ApiModelProperty(value = "事件类型")
    private   String eventType ;
    @ApiModelProperty(value = "事件次数")
    private   String eventNumber ;
    @ApiModelProperty(value = "事件总持续时长")
    private   String eventTotalTime ;
    @ApiModelProperty(value = "一天中最严重时段")
    private   String seriousTimeSpan ;
    @ApiModelProperty(value = "一天中最严重时段持续时长")
    private   String seriousDuration ;
    @ApiModelProperty(value = "时段集合")
    private   String timeSpanList ;
    @ApiModelProperty(value = "星期【1~7】")
    private   String weekDay ;
    @ApiModelProperty(value = "工作日事件平均数量")
    private   String workDayEventNumber ;
    @ApiModelProperty(value = "工作日事件平均时长")
    private   String workDayEventTotalTime ;
}
