package net.wanji.opt.vo2.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
@ApiModel(value = "CrossImportProblemDataVO", description = "路口事情信息")
public class CrossImportProblemDataVO {
    @ApiModelProperty(value = "数据类型：1溢出 2拥堵",example = "1",position = 0)
    private   String dataType ;

    @ApiModelProperty(value = "路口名称",example = "旅游路-洪山路交叉口",position = 1)
    private   String crossName ;

    @ApiModelProperty(value = "持续时长",example = "90",position = 2)
    private   String duration ;

    @ApiModelProperty(value = "本周路口最严重时段",example = "7:00~7:30",position = 3)
    private   String seriousTimeSpan ;
    @ApiModelProperty(value = "本周路口最严重时段持续时长",example = "溢出时长30分钟",position = 4)
    private   String seriousTimeSpanDuration ;

    @ApiModelProperty(value = "工作日平均每天溢出次数",example = "3次",position = 5)
    private   String workDayAvgOverCount ;
    @ApiModelProperty(value = "工作日平均每天溢出时长",example = "溢出时长30分钟",position = 6)
    private   String workDayAvgOverDuration ;

    @ApiModelProperty(value = "路口每天时段详情",position = 7)
    private List<CrossImportProblemDetailVO> list=new ArrayList<>();
}
